Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query
Class XPathQueryResult.XPathQueryResultRow

    java.lang.Object
      org.modeshape.jcr.query.JcrQueryResult.SingleSelectorQueryResultRow
          org.modeshape.jcr.query.XPathQueryResult.XPathQueryResultRow

All Implemented Interfaces:
  Row

Enclosing class:
  XPathQueryResult

    protected static class XPathQueryResult.XPathQueryResultRow

extends JcrQueryResult.SingleSelectorQueryResultRow

Field Summary

Fields inherited from class org.modeshape.jcr.query.JcrQueryResult.SingleSelectorQueryResultRow
`iterator, node, tuple`

Constructor Summary
`protected` | `XPathQueryResult.XPathQueryResultRow(JcrQueryResult.SingleSelectorQueryResultRowIterator iterator, Node node, Object[] tuple)`

Method Summary
`Value` | `getValue(String columnName)`

Methods inherited from class org.modeshape.jcr.query.JcrQueryResult.SingleSelectorQueryResultRow
`getNode, getNode, getPath, getPath, getScore, getScore, getValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathQueryResult.XPathQueryResultRow

    protected XPathQueryResult.XPathQueryResultRow(JcrQueryResult.SingleSelectorQueryResultRowIterator iterator,
                                                   Node node,
                                                   Object[] tuple)

Method Detail

### getValue

    public Value getValue(String columnName)
                   throws ItemNotFoundException,
                          RepositoryException

  Specified by:
    `getValue` in interface `Row`
  Overrides:
    `getValue` in class `JcrQueryResult.SingleSelectorQueryResultRow`
  Throws:
    `ItemNotFoundException`
    `RepositoryException`
  See Also:
    `Row.getValue(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.